export declare class FlexibleObject {
    #private;
    constructor(data?: object, parent?: FlexibleObject, paths?: string[]);
    /**
     * Set object node value
     * @param value
     */
    setValue(value: any): void;
    /**
     * Get object node value
     * @param defaultValue
     * @param onUndefinedCallback
     * @param getPathIndex
     */
    getValue<T = any>(defaultValue?: T, onUndefinedCallback?: (nodePath: string) => void, getPathIndex?: number): T;
    /**
     * Is current object's value undefined
     */
    isUndefined(): boolean;
    /**
     * Get current object path
     * The index parameter indicates array item if this object is an array
     * @param index
     */
    getPath(index?: number): string;
    [p: string]: FlexibleObject;
}
//# sourceMappingURL=FlexibleObject.d.ts.map