import EventEmitter from 'events';
import { WriteStream } from 'node:fs';
import { IPcapPacketInfo } from './interfaces/IPcapPacketInfo';
export interface IPcapWriterOptions {
    filename: string;
}
export declare class PcapWriter extends EventEmitter {
    readonly filename: string;
    protected readonly writeStream: WriteStream;
    protected closed: boolean;
    protected index: number;
    protected offset: number;
    get wroteCount(): number;
    constructor(options: IPcapWriterOptions);
    /**
     * Write packet to pcap file
     * @param packet
     * @param seconds
     * @param microseconds
     */
    write(packet: Buffer, seconds: number, microseconds: number): void;
    /**
     * Close pcap writer
     */
    close(): Promise<void>;
    on(eventName: 'packet', listener: (wrotePacketInfo: IPcapPacketInfo) => void): this;
    once(eventName: 'packet', listener: (wrotePacketInfo: IPcapPacketInfo) => void): this;
}
//# sourceMappingURL=PcapWriter.d.ts.map